POST
/v1/organizations/:organizationId/smart-attributes/
Copy to clipboard
Create a smart attribute
Required Permission: mdm.global.smartAttribute.create
Creates a new smart attribute and persists it for use across supported resources
Request
Add parameter in header
authorization
Example:
Authorization: Bearer <token>
organizationId
string
required
Body Params
application/json
segmentId
number
optional
name
string
required
description
string
optional
output
object
required
type
string
required
input
object
required
type
string
required
value
object
required
admDevice
object
optional
value
string
required
runner
string
optional
aosDevice
object
optional
value
string
required
runner
string
optional
emmDevice
object
optional
value
string
required
runner
string
optional
winDevice
object
optional
value
string
required
runner
string
optional
source
string
required
field
object
optional
label
string
optional
description
string
optional
placeholder
string
optional
{
"segmentId": 0,
"name": "string",
"description": "string",
"output": {
"type": "string"
},
"input": {
"type": "constant",
"value": {
"admDevice": {
"value": "string"
},
"aosDevice": {
"value": "string"
},
"emmDevice": {
"value": "string"
},
"winDevice": {
"value": "string"
}
},
"source": "constant"
}
}
Responses
200 Response
application/json
status
boolean
required
data
object
required
id
string
required
organizationId
string
required
segmentId
number
optional
name
string
required
description
string
optional
output
object
required
type
string
required
input
object
required
type
string
required
value
object
required
admDevice
object
optional
value
string
required
runner
string
optional
aosDevice
object
optional
value
string
required
runner
string
optional
emmDevice
object
optional
value
string
required
runner
string
optional
winDevice
object
optional
value
string
required
runner
string
optional
source
string
required
field
object
optional
label
string
optional
description
string
optional
placeholder
string
optional
loopTime
number
required
createdAt
string
required
updatedAt
string
required
version
number
optional
counts
object
optional
android
object
required
smartAttributeAssignments
integer
required
smartAttributeAssignmentsEnforced
integer
required
apple
object
required
smartAttributeAssignments
integer
required
smartAttributeAssignmentsEnforced
integer
required
windows
object
required
smartAttributeAssignments
integer
required
smartAttributeAssignmentsEnforced
integer
required
{
"status": true,
"data": {
"id": "string",
"organizationId": "string",
"segmentId": 0,
"name": "string",
"description": "string",
"output": {
"type": "string"
},
"input": {
"type": "constant",
"value": {
"admDevice": {
"value": "string"
},
"aosDevice": {
"value": "string"
},
"emmDevice": {
"value": "string"
},
"winDevice": {
"value": "string"
}
},
"source": "constant"
},
"createdAt": "string",
"updatedAt": "string",
"version": 0,
"counts": {
"android": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
},
"apple": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
},
"windows": {
"smartAttributeAssignments": 0,
"smartAttributeAssignmentsEnforced": 0
}
}
}
}
400 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 5221,
"message": "Unable to process smart attribute request"
}
}
401 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 4002,
"message": "No auth token"
}
}
404 Response
application/json
status
boolean
optional
error
object
optional
code
number
optional
message
string
optional
{
"status": false,
"error": {
"code": 3001,
"message": "Entity not found"
}
}